summaryrefslogtreecommitdiff
path: root/tests/sync
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2026-07-29 23:24:05 +0300
committerKimplul <kimi.h.kuparinen@gmail.com>2026-07-29 23:24:05 +0300
commit34064fa2fd1d3da7d398f5314bd4d2de56dca45f (patch)
tree2ed32f39dc182776e15ea066df1a9c169e0b1bb2 /tests/sync
parent593c49c00fb3e8c73ce369bda4db3cdda8fdc706 (diff)
downloadlark-34064fa2fd1d3da7d398f5314bd4d2de56dca45f.tar.gz
lark-34064fa2fd1d3da7d398f5314bd4d2de56dca45f.zip
check for SYNC header lengthHEADmaster
Diffstat (limited to 'tests/sync')
-rw-r--r--tests/sync/source.mk5
-rwxr-xr-xtests/sync/too-short-header18
2 files changed, 21 insertions, 2 deletions
diff --git a/tests/sync/source.mk b/tests/sync/source.mk
index 900af7e..a5c6f75 100644
--- a/tests/sync/source.mk
+++ b/tests/sync/source.mk
@@ -1,2 +1,3 @@
-TESTS += \
- sync/trivial \
+TESTS += \
+ sync/trivial \
+ sync/too-short-header \
diff --git a/tests/sync/too-short-header b/tests/sync/too-short-header
new file mode 100755
index 0000000..e7e844a
--- /dev/null
+++ b/tests/sync/too-short-header
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+TEST="$0"
+OUT="reports/$TEST/stdout"
+ERR="reports/$TEST/stderr"
+
+../server -s - > "$OUT" 2> "$ERR" << EOF
+SYNC 18
+START = 10
+END = 20
+EOF
+
+if [ -s "$OUT" ]; then
+ echo "Expected no output, but something showed up"
+ exit 1
+fi